package net.sevecek.dailyplanet;

import java.sql.*;
import javax.sql.*;
import org.mariadb.jdbc.*;
import org.springframework.context.annotation.*;
import org.springframework.jdbc.core.*;
import org.springframework.jdbc.datasource.*;
import org.springframework.jndi.*;
import org.springframework.transaction.*;
import org.springframework.transaction.annotation.*;
import org.springframework.web.servlet.config.annotation.*;
import net.sevecek.boot.war.*;

@Configuration
@ComponentScan
@EnableWebMvc
@EnableTransactionManagement
public class ApplicationConfig extends DefaultWebMvcConfigurer {

    @Bean
    public DataSource dataSource() throws SQLException {
        MariaDbDataSource dataSource = new MariaDbDataSource();
        dataSource.setUrl("jdbc:mysql://localhost/DailyPlanet");
        dataSource.setUserName("student");
        dataSource.setPassword("password");
        return dataSource;
    }

    @Bean
    public JdbcTemplate pokladacDotazu(DataSource dataSource) {
        return new JdbcTemplate(dataSource);
    }

    @Bean
    public RowMapper<Autor> prevodnikTridyAutor() {
        return BeanPropertyRowMapper.newInstance(Autor.class);
    }

    @Bean
    public PlatformTransactionManager transactionManager(DataSource dataSource) {
        return new DataSourceTransactionManager(dataSource);
    }

}
